Message: problem installing and registering visualisation graphics systems Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Sad problem installing and registering visualisation graphics systems 

Forum: Installation and Configuration
Date: 25 Apr, 2012
From: Faiz Lotfy <Faiz Lotfy>

Hi everone,

I am having a lot of troubles to compile geant4. I have tried different boxes loaded with Ubuntu 11.10/12.04 (both x86 and x64_86), Fedora 16, and SL6.2. I did it more than 4 or 5 times per machine (I have been trying to compile it for almost 3 weeks now)

I also have used different set of configurations; the simplest was: cmake -DCMAKE_INSTALL_PREFIX=/opt/G4 -DGEANT4_INSTALL_DATA=ON -DCLHEP_ROOT_DIR=/usr/local/lib/clhep ~/g4

And the full one:

cmake -DCMAKE_INSTALL_PREFIX=/opt/Geant4 -DGEANT4_INSTALL_DATA=ON -DXERCESC_ROOT_DIR=/usr/local/xerces-c-3/ -DGEANT4_USE_QT=ON -DGEANT4_USE_OPENGL_X11=ON -DGEANT4_USE_RAYTRACER_X11=ON -DGEANT4_USE_XM=ON -DCLHEP_ROOT_DIR=/usr/local/lib/clhep ~/g4

All of them compiled well, to the best I know, and once I finish compiling geant4.9.5.p1 and try the eamples (of course I needed to compile geant4.9.5.p1/source/ for some granular library complain) I am always offended with this message (I am trying example N02):
You have successfully registered the following graphics systems.
Current available graphics systems are:
  ASCIITree (ATree)
  DAWNFILE (DAWNFILE)
  G4HepRep (HepRepXML)
  G4HepRepFile (HepRepFile)
  RayTracer (RayTracer)
  VRML1FILE (VRML1FILE)
  VRML2FILE (VRML2FILE)
  gMocrenFile (gMocrenFile)

Registering model factories...

You have successfully registered the following model factories.
Registered model factories:
  generic
  drawByCharge
  drawByParticleID
  drawByOriginVolume
  drawByAttribute

Registered filter factories:
  chargeFilter
  particleFilter
  originVolumeFilter
  attributeFilter

Some /vis commands (optionally) take a string to specify colour.
Available colours:
  black, blue, cyan, gray, green, grey, magenta, red, white, yellow

/run/verbose 2

#
# Use this open statement to create an OpenGL view:

/vis/open OGL 600x600-0+0 parameter value is not listed in the candidate List. ***** Illegal parameter (0) </vis/open OGL 600x600-0+0> *****

***** Batch is interrupted!! *****

while configuring, I get messages that says that the code could happily find all the needed libraries for its compilation and I get the message mentioned in the installaion guide that all is well, but it never works... I have been trying to solve this issue in the visualisation category in this forum, but I thought may be people, here at the installation category, might be interested to know about it.

Any help will be appreciated....

PS.

There is an rpm package for geant4.9.3 available, but I was told it may have some bugs.... should I opt for this one? But my quation keeps standing: What am I doing wrong/why geant4.9.5p1 does not compile correctly?

Thank you in advance,

Faiz Lotfy

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Question: Re: problem installing and registering visualisation graphics systems   (Ben Morgan - 26 Apr, 2012)
1 None: Re: problem installing and registering visualisation graphics systems   (Faiz Lotfy - 26 Apr, 2012)
(_ None: Re: problem installing and registering visualisation graphics systems   (Faiz Lotfy - 26 Apr, 2012)
(_ None: Re: problem installing and registering visualisation graphics systems   (Faiz Lotfy - 26 Apr, 2012)
(_ Note: Re: problem installing and registering visualisation graphics systems   (Ben Morgan - 27 Apr, 2012)
1 Question: Re: problem installing and registering visualisation graphics systems   (Faiz Lotfy - 27 Apr, 2012)
... 1 Message(s)
2 None: Re: problem installing and registering visualisation graphics systems   (Faiz Lotfy - 28 Apr, 2012)
2 Question: Re: problem installing and registering visualisation graphics systems   (Faiz Lotfy - 06 May, 2012)
1 None: Re: problem installing and registering visualisation graphics systems   (Ben Pietras - 07 May, 2012)
(_ Ok: Re: problem installing and registering visualisation graphics systems   (Faiz Lotfy - 10 May, 2012)
 Add Message Add Message
to: "problem installing and registering visualisation graphics systems"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]